@import "template/theme";

// Print layout
.print-pdf .reveal .slides > section,
.print-pdf .reveal .slides > section > section {
	min-height: 770px !important;
	position: relative !important;
}

// Layout
.reveal .slides > section:not(:first-child),
.reveal .slides > section > section {
	min-height: 100% !important;
	display: flex !important;
	flex-direction: column !important;
	justify-content: center !important;
	position: absolute !important;
	top: 0 !important;
	text-align: left !important;
}

.reveal .slides > section {
  h3 {
    text-align: left;
    top: 0;
  }
  dl {
    position: absolute;
    text-align: left !important;
    margin-left: 0px;
    right: 0;
    dt {
      float: left;
      clear: left;
    }
    dt::after {
      content: ": ";
    }
    dd {
      float: left;
      margin-left: 1rem;
    }
  }
  img {
    background: rgba(0,0,0,0);
    border: none;
  }
  pre {
    font-family: monospace;
    font-size: 100%;
  }
}

.reveal .slides > section {
  div.flex {
    display: -webkit-flex;
    display: flex;
    div.half {
      width: 50% !important;
      -webkit-flex: 1;
      flex: 1;
    }
    div.one-thirds {
      width: 33.33333% !important;
      -webkit-flex: 1;
      flex: 1;
    }
    div.two-thirds {
      width: 66.66666% !important;
      -webkit-flex: 1;
      flex: 1;
    }
  }
}

.strike {
  text-decoration: line-through;
}
